Mar 132012
 

After quick hack-n-slash, it works. It works also on 3.0, if you want 3.1/3.2/3.3 – modify it yourself or wait until i need it 🙂

Needs quite non-intrusive modification to three files:

  • rr268x-linux-src-v1.6-legacy_single/osm/linux/osm_linux.h
    — fix autoconf
  • rr268x-linux-src-v1.6-legacy_single/osm/linux/os_linux.c
    — in 2.6.36 blkdev_get requires two parameters, in 2.6.37 three
  • rr268x-linux-src-v1.6-legacy_single/inc/linux/Makefile.def
    — mask 3.0 as 2.6, can be used to mask 3.1/3.2/3.3 also, and could probably be a lot prettier

 

Patchfile can be found here: http://macronet.fi/dev/rr268x/ < not recommended, get official fixed version from highpoint (unless you are absolutely sure you want to run v1.4 or v1.6).

* Update 05/2012 *  v1.6 patchfile found in /staging which is modified to mask all 3.x as 2.6

* Update 07/2012 * Just get v1.8 driver which is properly fixed by Highpoint:
http://www.highpoint-tech.com/USA_new/rr2600_download.htm

* Update 01/2013 * There seems to be v1.9 driver released, with following info in README:
NOTE: The latest tested kernel version: 3.5.2.
v1.9.12.0817 08/17/2012
* Fixed a potential bug about fail to recover array.

  6 Responses to “Linux 2.6.37 kernel and rr268x driver (v1.6)”

  1. Hello, i use a rocketraid 2680 and i use your patch with 1.6 driver in ubuntu 11. Since I update to Ubuntu 12.04 it doesn’t work. Could you help me please or gimme a good patch please ?

    Thanx a lot in advance if you do it you save my little company.

    Regards

  2. I modify the makefile and it seems good. Thanx a lot.

    Do you use this card with an expander and zfs ?

  3. Moreover i have some problem with this card using zfs. I cannot disable the beeper. Could you help me?

 Leave a Reply

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

(required)

(required)